const fs = require('fs')
const path = require('path')

module.exports = {
  devServer: {
    host: 'dev.ezijing.com',
    https: {
      key: fs.readFileSync(path.join(__dirname, './cert/dev.ezijing.com.key')),
      cert: fs.readFileSync(path.join(__dirname, './cert/dev.ezijing.com.pem'))
    },
    proxy: {
      '/api': {
        target: 'https://alumni2.ezijing.com'
      }
    }
  },
  configureWebpack: {
    //关闭 webpack 的性能提示
    performance: {
      hints:false
    },

    //或者

    //警告 webpack 的性能提示
    performance: {
      hints:'warning',
      //入口起点的最大体积
      maxEntrypointSize: 50000000,
      //生成文件的最大体积
      maxAssetSize: 30000000,
      //只给出 js 文件的性能提示
      assetFilter: function(assetFilename) {
        return assetFilename.endsWith('.js');
      }
    }
  }
}
